Skip to content

serveFormRecordAttachment

GET
/api/v1/data-sources/{id}/records/{recordId}/attachments/{attachmentId}/content
curl --request GET \
--url https://example.com/api/v1/data-sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/records/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/attachments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/content

Streams a record’s image attachment through this form-record-authorized endpoint (the only way to view a form attachment; they are never served from the Media library). Applies the same visibility rules as reading the record.

attachmentId
required
string format: uuid
id
required
string format: uuid
recordId
required
string format: uuid

The attachment image bytes

Attachment or record not found, not visible, or not yet servable